Bug 147844 - UI: Edit track changes dialog missing buttons (reject/accept)
Summary: UI: Edit track changes dialog missing buttons (reject/accept)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.5.0
Keywords:
Depends on:
Blocks: Manage-Changes-Dialog
  Show dependency treegraph
 
Reported: 2022-03-08 13:45 UTC by Telesto
Modified: 2022-06-16 08:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (2.62 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-03-08 13:46 UTC, Telesto
Details
Screenshot (90.83 KB, image/jpeg)
2022-03-08 13:46 UTC, Telesto
Details
Manage Names dialog with Help button pushed below the Add button (31.36 KB, image/png)
2022-05-09 18:54 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2022-03-08 13:45:48 UTC
Description:
UI: Edit track changes dialog missing buttons (reject/accept)

Steps to Reproduce:
1. Open the attached file (not file specific, but more to have big list of entry's)
2. Edit -> Track changes -> Manage

Actual Results:
See screenshot

Expected Results:
Normal look


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 2a403801576543a7254edd41d6919c8c57c34f9e
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: threaded
Comment 1 Telesto 2022-03-08 13:46:26 UTC
Created attachment 178724 [details]
Example file
Comment 2 Telesto 2022-03-08 13:46:41 UTC
Created attachment 178725 [details]
Screenshot
Comment 3 Gabor Kelemen (allotropia) 2022-03-10 23:54:37 UTC
Confirming in bibisect-7.4 linux. Happens with gen and qt5 vcl, but not with gtk3.

Started in:

https://git.libreoffice.org/core/+/2b58a0979f9206cfca6d78cb2f3d5e65cd735f8b

uthor	Tor Lillqvist <tml@collabora.com>	Tue Jan 25 16:57:09 2022 +0200
committer	Tor Lillqvist <tml@collabora.com>	Wed Feb 16 22:27:02 2022 +0100

Add sanity check to avoid potential crash in the Collabora Online server

Adding CC to: Tor Lillqvist
Comment 4 Gabor Kelemen (allotropia) 2022-05-09 18:54:17 UTC
Created attachment 180025 [details]
Manage Names dialog with Help button pushed below the Add button

Almost reported a duplicate:

In Calc the Manage Names dialogs minimum height does not take into account whether the Range Options is expanded.
When it is, the dialogs height can be reduced a bit too much, so that the Help button slips below the Add button.

1, In Calc press Ctrl-F3 to open Manage Names
2, Expand the Range Options section at the bottom of the dialog
3, Try to reduce the dialogs height by dragging its horizontal borders

The Help button in 7.4 slips under the Add button. There is no similar issue when the Range Options section is not expanded.

bibisected to the same commit as above, happens in non-GTK backends only.
Comment 5 Telesto 2022-05-21 14:15:39 UTC
I admit, it's still master only problem.. but well this needs to be fixed prior release anyhow.. So setting importance to high
Comment 6 Xisco Faulí 2022-05-26 14:18:02 UTC
Also reproduced with

Version: 7.4.0.0.alpha1+ / LibreOffice Community
Build ID: 9c4c90061952d548d982edfd1c251798c25007bb
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 7 Xisco Faulí 2022-05-26 14:53:28 UTC
Fix in https://gerrit.libreoffice.org/c/core/+/135024
Comment 8 Commit Notification 2022-05-27 06:06:05 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b7efccde76ca7bfa181fff39c52282e87e940614

tdf#147844: Use sanity check only if LibreOfficeKit is active

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Aron Budea 2022-05-30 21:23:13 UTC
Considering the Help button was introduced in the following commit, and assuming nExtraSpace < 0 means something undesired, do we want to keep track of that in a follow-up bug report?

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e1a38ceb6866248ec30f6fe58cd3adc1b910eec
author		rafaelhlima <rafael.palma.lima@gmail.com>	2022-01-18 11:25:59 -0300
committer	Rafael Lima <rafael.palma.lima@gmail.com>	2022-01-24 18:16:09 +0100

tdf#146893 Rework Manage Changes dialog
Comment 10 Xisco Faulí 2022-05-31 13:29:31 UTC
(In reply to Aron Budea from comment #9)
> Considering the Help button was introduced in the following commit, and
> assuming nExtraSpace < 0 means something undesired, do we want to keep track
> of that in a follow-up bug report?
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2e1a38ceb6866248ec30f6fe58cd3adc1b910eec
> author		rafaelhlima <rafael.palma.lima@gmail.com>	2022-01-18 11:25:59 -0300
> committer	Rafael Lima <rafael.palma.lima@gmail.com>	2022-01-24 18:16:09 +0100
> 
> tdf#146893 Rework Manage Changes dialog

Hi Caolán,
Any opinion on this ?
Comment 11 Commit Notification 2022-06-03 19:11:45 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08850dbead8a8a797965aaa97d43d639bc0814d3

Related: tdf#147844 still log the discrepancy

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-06-16 08:41:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/79c7c66157b75cfbf2171ad2cf87542aa75bad7c

Related: tdf#147844 fix warning about negative extra space in manage changes

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.